Bug 131827 - /var/mailman/Mailman/Default.py has wrong location for sendmail
/var/mailman/Mailman/Default.py has wrong location for sendmail
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2004-09-05 08:57 EDT by jonathan baron
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-07 11:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jonathan baron 2004-09-05 08:57:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a3)

Description of problem:
Mailman would not send mail until I added
SENDMAIL_CMD = '/usr/sbin/sendmail'
to /var/mailman/Mailman/mm_cfg.py
Default.py had it as /usr/lib/sendmail.
That file doesn't exist, although there is a
link from /usr/lib/sendmail.sendmail to /sbin

Version-Release number of selected component (if applicable):
rpm mailman-2.1.5-7

How reproducible:

Steps to Reproduce:
1. install mailman
2. try to use it

Actual Results:  instructions are somewhat incomplete, but some tinkering
led to everything working except sending mail

Expected Results:  sent mail

Additional info:
Comment 1 John Dennis 2004-09-07 11:09:53 EDT
On Red Hat systems there are two MTA's available, sendmail and
postfix. Because these two MTA'a share files when installed both
utilize the alternatives mechanism and thus require your MTA to be
selected. There is a configuration applet to do this
(system-switch-mail) or you can invoke "/usr/sbin/alternatives
--config mta" directly. After your MTA is configured then
/usr/lib/sendmail will exist.

I cannot explain why your MTA was not configured, but this is not a
mailman problem. I will however update the mailman INSTALL.REDHAT file
to draw attention to this.
Comment 2 jonathan baron 2004-09-07 15:44:46 EDT
Thanks.  Good idea to add to INSTALL.REDHAT.

My mta was configured on my other computer with Fedora Core 2.
On that one, I upgraded from RH9.  On the one with the problem
I upgraded from FC2 test 2.  Perhaps that was
where the problem was.  (I could not install RH9 because its
kernel would not work with my disk drive, so I started with the
FC2 test2 when the computer was brand new.)

Note You need to log in before you can comment on or make changes to this bug.